package com.example.android.appwidget;

import android.app.Activity;
import android.appwidget.AppWidgetManager;
import android.content.Intent;
import android.os.Bundle;
import android.widget.RemoteViews;

/** AppWidget ݒp Activity ̃TvB */
public class LifeCycleConfigure extends Activity {
	
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.life_cycle_configure);
		
		Intent intent = getIntent();
		final Bundle extras = intent.getExtras();
		if (extras != null) {
			new Thread() {
				public void run() {
					try {
						Thread.sleep(10000);
					} catch (InterruptedException e) {
					}
				    int mAppWidgetId = extras.getInt(
				            AppWidgetManager.EXTRA_APPWIDGET_ID, 
				            AppWidgetManager.INVALID_APPWIDGET_ID);
					AppWidgetManager appWidgetManager = AppWidgetManager.getInstance(LifeCycleConfigure.this);
					
					RemoteViews views = new RemoteViews(getPackageName(), R.layout.life_cycle);
					appWidgetManager.updateAppWidget(mAppWidgetId, views);
					
					Intent resultValue = new Intent();
					resultValue.putExtra(AppWidgetManager.EXTRA_APPWIDGET_ID, mAppWidgetId);
					setResult(RESULT_OK, resultValue);
					finish();
				}
			}.start();
		}
	}

}
